/*
 * PWM_Pin.hpp
 *
 *  Created on: Feb 11, 2024
 *      Author: Gabriel
 */

#ifndef SRC_COMPONENTS_PWM_PIN_HPP_
#define SRC_COMPONENTS_PWM_PIN_HPP_

#include <inttypes.h>

class PWM_Pin {
public:
	virtual int32_t init() = 0;
	virtual int32_t setDuty(float dutyCycle) = 0;
	virtual int32_t setFreq(float freq) = 0;
};

#endif /* SRC_COMPONENTS_PWM_PIN_HPP_ */
